#include "../Headers/pwm.h"

/*
 * Initializing Timer required for PWM
 */
void PWMInit()
{
    //Toggle OC1A if OCR1A equals with the counter value (datasheet page 105)
    cbi(TCCR1A, COM1A1);
    sbi(TCCR1A, COM1A0);
    //CTC (clear timer on compare match) mode (datasheet page 74)
    cbi(TCCR1A, WGM10);
    cbi(TCCR1A, WGM11);
    sbi(TCCR1B, WGM12);
    cbi(TCCR1B, WGM13);
    //1/1 prescaling (datasheet page 108)
    sbi(TCCR1B, CS10);
    cbi(TCCR1B, CS11);
    cbi(TCCR1B, CS12);
}

